port with client-id (Infiniband) failed with The local_link_connection is required for 'neutron' network interface

Bug #1753222 reported by Moshe Levi on 2018-03-04
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ironic
Fix Released
Undecided
Moshe Levi

Bug Description

Ironic port with client-id is indicated has InfiniBand port.
Ironic is validating local_link_connection when the network_interface is neutron.
This is not required for InfiniBand vlan (pkey) configuration is done by OpenSM.
This validation is causing the following warning:

 The local_link_connection is required for 'neutron' network interface and is not present in the nodes 6a4bbd1d-2aba-4f32-a5d5-6b5d110d4eb9 port 8a00113f-d11f-4b89-9ac6-b94e8bf6abb2

and failure in the attaching vif

2018-02-26 08:46:37.828 TRACE nova.compute.manager [instance: 16eb5209-04e3-4026-aa75-6e1459875388] VirtualInterfacePlugException: Cannot attach VIF 72dbca22-6ecd-4ce2-adc3-328c194bf786 to the node 6a4bbd1d-2aba-4f32-a5d5-6b5d110d4eb9 due to error: Unable to attach VIF 72dbca22-6ecd-4ce2-adc3-328c194bf786, not enough free physical ports. (HTTP 400)

Moshe Levi (moshele) on 2018-03-04
summary: - port with cllient-id (Infiniband) failed with The local_link_connection
+ port with client-id (Infiniband) failed with The local_link_connection
is required for 'neutron' network interface
Changed in ironic:
assignee: nobody → Moshe Levi (moshele)
status: New → In Progress
Changed in ironic:
assignee: Moshe Levi (moshele) → Mark Goddard (mgoddard)
Mark Goddard (mgoddard) on 2018-03-06
Changed in ironic:
assignee: Mark Goddard (mgoddard) → nobody
Moshe Levi (moshele) on 2018-03-07
Changed in ironic:
assignee: nobody → Moshe Levi (moshele)

Reviewed: https://review.openstack.org/548396
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=dcebb77d9d7a2cebcc645dd632a12d224bd113c8
Submitter: Zuul
Branch: master

commit dcebb77d9d7a2cebcc645dd632a12d224bd113c8
Author: Moshe Levi <email address hidden>
Date: Tue Feb 27 21:09:14 2018 +0200

    Don't validate local_link_connection when port has client-id

    Infiniband ports do not require the local_link_connection field to be
    populated as the network topology is discoverable by the Infiniband
    Subnet Manager.

    This change removes the requirement for local_link_connection for
    Infiniband ports. Infiniband ports have a client-id in their extra
    field.

    Closes-Bug: #1753222
    Change-Id: I2bfac4ccaf825bd9aa8ea0d2b447fcd7767acbc5

Changed in ironic:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/550541
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=233318f6ef4d5336bdc786ac66e9f60eec8577fb
Submitter: Zuul
Branch: stable/queens

commit 233318f6ef4d5336bdc786ac66e9f60eec8577fb
Author: Moshe Levi <email address hidden>
Date: Tue Feb 27 21:09:14 2018 +0200

    Don't validate local_link_connection when port has client-id

    Infiniband ports do not require the local_link_connection field to be
    populated as the network topology is discoverable by the Infiniband
    Subnet Manager.

    This change removes the requirement for local_link_connection for
    Infiniband ports. Infiniband ports have a client-id in their extra
    field.

    Closes-Bug: #1753222
    Change-Id: I2bfac4ccaf825bd9aa8ea0d2b447fcd7767acbc5
    (cherry picked from commit dcebb77d9d7a2cebcc645dd632a12d224bd113c8)

tags: added: in-stable-queens

Reviewed: https://review.openstack.org/550807
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=93012b2df1b06843df94d73a704db649d41e8591
Submitter: Zuul
Branch: stable/pike

commit 93012b2df1b06843df94d73a704db649d41e8591
Author: Moshe Levi <email address hidden>
Date: Tue Feb 27 21:09:14 2018 +0200

    Don't validate local_link_connection when port has client-id

    Infiniband ports do not require the local_link_connection field to be
    populated as the network topology is discoverable by the Infiniband
    Subnet Manager.

    This change removes the requirement for local_link_connection for
    Infiniband ports. Infiniband ports have a client-id in their extra
    field.

    Closes-Bug: #1753222
    Change-Id: I2bfac4ccaf825bd9aa8ea0d2b447fcd7767acbc5
    (cherry picked from commit dcebb77d9d7a2cebcc645dd632a12d224bd113c8)

tags: added: in-stable-pike

This issue was fixed in the openstack/ironic 10.1.2 release.

This issue was fixed in the openstack/ironic 9.1.4 release.

This issue was fixed in the openstack/ironic 11.0.0 release.

Change abandoned by Moshe Levi (<email address hidden>) on branch: stable/ocata
Review: https://review.openstack.org/550808

Reviewed: https://review.openstack.org/550808
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=d2d24dd80ef7661bf4f273f3645f2cfe1ab6a161
Submitter: Zuul
Branch: stable/ocata

commit d2d24dd80ef7661bf4f273f3645f2cfe1ab6a161
Author: Moshe Levi <email address hidden>
Date: Tue Feb 27 21:09:14 2018 +0200

    Don't validate local_link_connection when port has client-id

    Infiniband ports do not require the local_link_connection field to be
    populated as the network topology is discoverable by the Infiniband
    Subnet Manager.

    This change removes the requirement for local_link_connection for
    Infiniband ports. Infiniband ports have a client-id in their extra
    field.

    Closes-Bug: #1753222
    Change-Id: I2bfac4ccaf825bd9aa8ea0d2b447fcd7767acbc5
    (cherry picked from commit dcebb77d9d7a2cebcc645dd632a12d224bd113c8)

tags: added: in-stable-ocata
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers